<?php 
global $wpdb;

$eas_inc_posted_vals = explode(',',get_option( 'eas_inc_posted'));

$eas_sitemap = get_posts(array('numberposts' => -1,'orderby' => 'modified','post_type'  => $eas_inc_posted_vals,'order'=> 'DESC'));

$eas_xml_sitemap .= '<?xml version="1.0" encoding="UTF-8"?>';

$eas_xml_sitemap .= "\n".'<urlset

xmlns="http://www.sitemaps.org/schemas/sitemap/0.9"

xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"

xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9

http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">'."\n";

$eas_xml_sitemap .= "\t".'<url>'."\n".

"\t\t".'<loc>'. esc_url( home_url( '/' ) ) .'</loc>'.

"\n\t\t".'<changefreq>monthly</changefreq>'.

"\n\t\t".'<priority>1.0</priority>'.

"\n\t".'</url>'."\n";

foreach($eas_sitemap as $post_eas){

	setup_postdata($post_eas);

	$postdate = explode(" ", $post_eas->post_modified);

	if(get_permalink($post_eas->ID) != get_site_url()){

		$eas_xml_sitemap .= "\t".'<url>'."\n".

		"\t\t".'<loc>'. get_permalink($post_eas->ID) .'</loc>'.

		"\n\t\t".'<changefreq>Weekly</changefreq>'.

		"\n\t\t".'<priority>0.5</priority>'.

		"\n\t".'</url>'."\n";

	} 

}

$eas_xml_sitemap .= '</urlset>';

$sitemapfp = fopen(ABSPATH . "sitemap.xml", 'w');

fwrite($sitemapfp, $eas_xml_sitemap);

fclose($sitemapfp);

?>